Subject: [bug#44656] [PATCH] Upgrade pypy3

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 7 Aug 2021 08:59:03 +0200

Hi Maxim,

> I guess one way it could work was if we had some transformation option
> to rebuild the Python collection against Pypy (do we have something to
> do this already?).
yes, there is package-with-explicit-python in (guix build-system
python), but you’ll need transform every single existing Python package
with it to make it usable with PyPy (just like Python 2). There’s also
--with-input=python=pypy3, but I think it will rewrite too much (i.e.
not just packages using python-build-system, but *every* package in the
graph using Python in any way).

Cheers,
Lars